MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027088Community[OCCT] OCCT:Documentationpublic2016-01-18 15:542016-04-20 15:50
ReporterBenjaminBihler 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version32bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027088: Documentation of add method of GeomConvert_CompCurveToBSplineCurve lacks speed hint
DescriptionSetting WithRatio to false greatly decreases the speed of CPnts_AbscissaPoint and it would be nice, if the was mentioned in the documentation.
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049910)
abv (manager)
2016-01-18 16:02

Benjamin, can you propose a text to be put? I believe it should contain some objective information (such as "this algorithm is O(N^2)" or "that algorithm is approximately twice faster") to be more useful.
(0049911)
git (administrator)
2016-01-18 16:03

Branch CR27088 has been created by BenjaminBihler.

SHA-1: d64c41410ebc0a05da2fc8eda43c9c9cfc0897c1


Detailed log of new commits:

Author: Benjamin Bihler
Date: Mon Jan 18 14:01:56 2016 +0100

    0027088: Improved documentation
(0049912)
BenjaminBihler (developer)
2016-01-18 16:06

Hmm, in one of my example the decrease was by a factor of 1.0e5, but I don't know whether this is representative. Should I add it to the documentation?
(0049991)
abv (manager)
2016-01-21 09:05

For me the proposed text is OK, thus reviewed, please integrate (no compilation or testing is needed)
(0050012)
ysn (developer)
2016-01-21 14:16

No comments/corrections.
(0053011)
git (administrator)
2016-04-17 13:54

Branch CR27088 has been deleted by kgv.

SHA-1: d64c41410ebc0a05da2fc8eda43c9c9cfc0897c1

- Related Changesets
occt: master d3b7582d
Timestamp: 2016-01-18 13:01:56
Author: abv
Committer: abv
Details ] Diff ]
0027088: Documentation of add method of GeomConvert_CompCurveToBSplineCurve lacks speed hint

Improved documentation
mod - src/GeomConvert/GeomConvert_CompCurveToBSplineCurve.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-18 15:54 BenjaminBihler New Issue
2016-01-18 15:54 BenjaminBihler Assigned To => abv
2016-01-18 16:02 abv Note Added: 0049910
2016-01-18 16:02 abv Category OCCT:Foundation Classes => OCCT:Documentation
2016-01-18 16:03 git Note Added: 0049911
2016-01-18 16:06 BenjaminBihler Note Added: 0049912
2016-01-21 09:04 abv Assigned To abv => ysn
2016-01-21 09:04 abv Status new => resolved
2016-01-21 09:04 abv Steps to Reproduce Updated View Revisions
2016-01-21 09:05 abv Note Added: 0049991
2016-01-21 09:05 abv Assigned To ysn => bugmaster
2016-01-21 09:05 abv Status resolved => reviewed
2016-01-21 09:06 abv Target Version 7.1.0 => 7.0.0
2016-01-21 11:45 bugmaster Status reviewed => tested
2016-01-21 14:16 ysn Note Added: 0050012
2016-01-22 12:17 abv Changeset attached => occt master d3b7582d
2016-01-22 12:17 abv Assigned To bugmaster => abv
2016-01-22 12:17 abv Status tested => verified
2016-01-22 12:17 abv Resolution open => fixed
2016-04-17 13:54 git Note Added: 0053011
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker